Bug 184282 - [patch] freebsd-update(8): allow opting-out of emails about specific target releases
Summary: [patch] freebsd-update(8): allow opting-out of emails about specific target r...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-25 13:50 UTC by Daniel Shahaf
Modified: 2019-03-12 22:59 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.90 KB, patch)
2013-11-25 13:50 UTC, Daniel Shahaf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Shahaf 2013-11-25 13:50:00 UTC
http://thread.gmane.org/gmane.os.freebsd.devel.hackers/51852

I run 'freebsd-update cron' nightly.  Each time it runs it emails root@ with a notification that 9.1-RELEASE-p8 is available.  I know that it is available and I chose not to update to it (I don't need it in my environment; I'll just update directly to -p9 when that is released), so I'd like to have a way to stop freebsd-update from emailing me about -p8, without stopping it from emailing me about subsequent releases.

Fix: Attached.

Patch attached with submission follows:
How-To-Repeat: On a releng/9.1 system of a revision older than HEAD, run 'freebsd-update cron' and observe that it emails root@ about 9.1-RELEASE-p8; and that there is no way to disable that (short of removing the cron job altogether, which would also disable -p9 emails).
Comment 1 Daniel Shahaf 2013-11-25 13:58:11 UTC
By the way, the patch as-is will cause

    IgnoreReleases 9.1-RELEASE-p1

to also suppress notifications about -p10, -p11, etc.  For this reason,
it might be a good idea to add a -w or -x flag to the 'grep -q "${X}"'
command.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-12-02 05:58:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cperciva

Over to maintainer.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:40 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 4 Colin Percival freebsd_committer 2019-03-12 22:59:52 UTC
Drop freebsd-update PRs which were assigned to me.  I'm not working on this code any more.